Ubuntu

jackdbus crashes on stop

Reported by Kaj Ailomaa on 2012-03-15
62
This bug affects 8 people
Affects Status Importance Assigned to Milestone
jackd2 (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

[Impact]
This bug makes jackdbus often freeze when commanding it to stop.
It is not possible to kill it from the system monitor, so users often reboot in order to be able start jackdbus again.

[Test Case]
- Start qjackctl
- Select an audio device in: Setup/Interface
- Click "Start" and "Stop" a few times to make jackdbus freeze.

[Regression Potential]
No apparent one

Kaj Ailomaa (zequence) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in qjackctl (Ubuntu):
status: New → Confirmed
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/956438

tags: added: iso-testing
David Henningsson (diwic) wrote :

I've tried to analyze this issue a little but haven't got to the root cause. Judging from the backtrace, it seems like the following happens:
1) the main thread of jackd sends the cancel signal to the RT thread.
2) the RT thread starts unwinding (processing "catch" sections in code)
3) for some reason that I haven't figured out, std::terminate is called, which according to http://www.cplusplus.com/reference/std/exception/terminate/ is "Function automatically called when the exception handling process has to be abandoned for some circumstance that makes impossible to continue with it. The terminate handler by default simply calls abort."

In addition, the abort handler itself crashes due to bug 983835.

Changed in qjackctl (Ubuntu):
status: Confirmed → Triaged
affects: qjackctl (Ubuntu) → jackd2 (Ubuntu)
David Henningsson (diwic) wrote :
Download full text (3.5 KiB)

Here's one with the abort/sigsegv handler fixed and verbose messages enabled:

Fri Apr 20 11:39:58 2012: Client 'system' with PID 0 is out
Fri Apr 20 11:39:58 2012: Jack: jack_client_close
Fri Apr 20 11:39:58 2012: Jack: JackClient::Close ref = 2
Fri Apr 20 11:39:58 2012: Jack: JackClient::Deactivate
Fri Apr 20 11:39:58 2012: Jack: JackEngine::ClientCloseAux ref = 2
Fri Apr 20 11:39:58 2012: Jack: JackGraphManager::RemoveAllPorts ref = 2
Fri Apr 20 11:39:58 2012: Jack: JackProcessSync::TimedWait time out = 1000000
Fri Apr 20 11:39:58 2012: Jack: fPollTable i = 1 fd = 11
Fri Apr 20 11:39:58 2012: Jack: JackRequest::Notification
Fri Apr 20 11:39:58 2012: Jack: JackProcessSync::TimedWait finished delta = 19398.0
Fri Apr 20 11:39:58 2012: Jack: JackDriver::ClientNotify ref = 2 driver = system name = dbusapi notify = 1
Fri Apr 20 11:39:58 2012: Jack: JackDriver::ClientNotify ref = 2 driver = freewheel name = dbusapi notify = 1
Fri Apr 20 11:39:58 2012: Jack: JackPosixSemaphore::Destroy name = jack_sem.1000_default_dbusapi
Fri Apr 20 11:39:58 2012: Jack: jack_client_close res = 0
Fri Apr 20 11:39:58 2012: Jack: JackServer::Stop
Fri Apr 20 11:39:58 2012: Jack: JackPosixThread::Kill
Fri Apr 20 11:39:58 2012: ERROR: Abort!
Fri Apr 20 11:39:58 2012: ERROR: info.si_signo = 6
Fri Apr 20 11:39:58 2012: ERROR: info.si_errno = 0
Fri Apr 20 11:39:58 2012: ERROR: info.si_code = -6 (unknown)
Fri Apr 20 11:39:58 2012: ERROR: info.si_addr = 0x3e800000e09
Fri Apr 20 11:39:58 2012: ERROR: reg[00] = 0x00007f43d7984aa0
Fri Apr 20 11:39:58 2012: ERROR: reg[01] = 0x00007f43d8897700
Fri Apr 20 11:39:58 2012: ERROR: reg[02] = 0x0000000000000008
Fri Apr 20 11:39:58 2012: ERROR: reg[03] = 0x0000000000000206
Fri Apr 20 11:39:58 2012: ERROR: reg[04] = 0x00007f43d8895420
Fri Apr 20 11:39:58 2012: ERROR: reg[05] = 0x0000000000000000
Fri Apr 20 11:39:58 2012: ERROR: reg[06] = 0x0000000000000000
Fri Apr 20 11:39:58 2012: ERROR: reg[07] = 0x00007f43d82a3211
Fri Apr 20 11:39:58 2012: ERROR: reg[08] = 0x0000000000000e09
Fri Apr 20 11:39:58 2012: ERROR: reg[09] = 0x0000000000000e34
Fri Apr 20 11:39:58 2012: ERROR: reg[10] = 0x00007f43d8897d70
Fri Apr 20 11:39:58 2012: ERROR: reg[11] = 0x0000000000000008
Fri Apr 20 11:39:58 2012: ERROR: reg[12] = 0x0000000000000006
Fri Apr 20 11:39:58 2012: ERROR: reg[13] = 0x0000000000000000
Fri Apr 20 11:39:58 2012: ERROR: reg[14] = 0xffffffffffffffff
Fri Apr 20 11:39:58 2012: ERROR: reg[15] = 0x00007f43d8894f18
Fri Apr 20 11:39:58 2012: ERROR: reg[16] = 0x00007f43d7602445
Fri Apr 20 11:39:58 2012: ERROR: reg[17] = 0x0000000000000206
Fri Apr 20 11:39:58 2012: ERROR: reg[18] = 0x0000000000000033
Fri Apr 20 11:39:58 2012: ERROR: reg[19] = 0x0000000000000000
Fri Apr 20 11:39:58 2012: ERROR: reg[20] ...

Read more...

Artem (artem-k-ekb) wrote :

In 64bit Ubuntu Studio 12.04 the same problem

Lutz von der Burchard (lvdb) wrote :

Same problem here, Ubuntu 12.04 64bit.

hogbait (hogbait) wrote :

Same problem, Ubuntu 12.04 64 bit

ttoine (ttoine) wrote :

Note that I don't have the problem with the version in KX Studio. Maybe we can check the package with Falktx ?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jackd2 - 1.9.8~dfsg.4+20120529git007cdc37-4.1ubuntu2

---------------
jackd2 (1.9.8~dfsg.4+20120529git007cdc37-4.1ubuntu2) raring; urgency=low

  * debian/patches/jackdbus_stop-fix.patch: fix an issue where jackdbus is
    left unresponsively running in the background when stopped (LP: #956438)
 -- Kaj Ailomaa <email address hidden> Thu, 15 Nov 2012 12:41:09 +0100

Changed in jackd2 (Ubuntu):
status: Triaged → Fix Released
Kaj Ailomaa (zequence) on 2013-01-27
description: updated
Changed in jackd2 (Ubuntu):
milestone: none → precise-updates
Kaj Ailomaa (zequence) on 2013-02-04
Changed in jackd2 (Ubuntu):
status: Fix Released → New
Kaj Ailomaa (zequence) wrote :

I changed the status for this bug, as from what I read in https://wiki.ubuntu.com/StableReleaseUpdates the bug should not be in status "fix released" until the package has been accepted into -updates.

Scott Kitterman (kitterman) wrote :

It should be fixed released when it's fixed in the development release (which it is). Tasks for specific releases shouldn't be marked fixed released until it's in updates for that release. Fixing.

Changed in jackd2 (Ubuntu):
status: New → Fix Released
milestone: precise-updates → none
Kaj Ailomaa (zequence) wrote :

This is my first SRU, so I don't know if I'm missing anything. What I did now was I created two bzr branches with the fix for both Precise and Quantal, and requested merges.

Kaj Ailomaa (zequence) wrote :

Both branches (precise and quantal) have been built, tested and uploaded to this PPA ppa:zequence/ubuntustudio-sru-testing.

summary: - qjackctl unable to stop jackd2
+ jackdbus crashes on stop
Martin Pitt (pitti) wrote :

I uploaded both the precise and the quantal fix to the SRU review queue, thank you!

Changed in jackd2 (Ubuntu Precise):
status: New → In Progress
Changed in jackd2 (Ubuntu Quantal):
status: New → In Progress

Hello Kaj, or anyone else affected,

Accepted jackd2 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/jackd2/1.9.8~dfsg.1-1ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in jackd2 (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in jackd2 (Ubuntu Quantal):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Kaj, or anyone else affected,

Accepted jackd2 into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/jackd2/1.9.8~dfsg.4+20120529git007cdc37-2ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Kaj Ailomaa (zequence) wrote :

Tested jackd2 1.9.8~dfsg.4+20120529git007cdc37-2ubuntu2 and 1.9.8~dfsg.1-1ubuntu2. Works great, thank you!

tags: added: verification-done
removed: verification-needed
Kaj Ailomaa (zequence) wrote :

Is there something missing still for making the packages be promoted to -updates?

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jackd2 - 1.9.8~dfsg.1-1ubuntu2

---------------
jackd2 (1.9.8~dfsg.1-1ubuntu2) precise-proposed; urgency=low

  * Add jackdbus-stop-fix.patch: Fix jackdbus being left unresponsively in the
    background, when attempting to stop it. (LP: #956438)
 -- Kaj Ailomaa <email address hidden> Mon, 18 Mar 2013 16:25:32 +0100

Changed in jackd2 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jackd2 - 1.9.8~dfsg.4+20120529git007cdc37-2ubuntu2

---------------
jackd2 (1.9.8~dfsg.4+20120529git007cdc37-2ubuntu2) quantal-proposed; urgency=low

  * Add jackdbus-stop-fix.patch: Fix jackdbus being left unresponsively in the
    background, when attempting to stop it. (LP: #956438)
 -- Kaj Ailomaa <email address hidden> Mon, 18 Mar 2013 17:05:45 +0100

Changed in jackd2 (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints